package com.example.leudaemialikeme.Model;

import org.litepal.crud.LitePalSupport;

public class Friend extends LitePalSupport {
    private int id;
    private String username;
    private int netId;
    private int ownerNetId;
    private Boolean isChat;

    public Friend(){
        super();
    }
    public Friend(int netId, String username){
        this.netId = netId;
        this.username = username;
        this.isChat=true;
    }
    public Friend(int netId, String username, int ownerNetId){
        this.netId = netId; //聊天人的ID
        this.username = username;   //聊天人的用户名
        this.ownerNetId = ownerNetId;   //本机用户的ID
        this.isChat=true;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public int getNetId() {
        return netId;
    }

    public void setNetId(int netId) {
        this.netId = netId;
    }

    public int getOwnerNetId() {
        return ownerNetId;
    }

    public void setOwnerNetId(int ownerNetId) {
        this.ownerNetId = ownerNetId;
    }

    public Boolean getChat() {
        return isChat;
    }

    public void setChat(Boolean chat) {
        isChat = chat;
    }
}
